"""Interface for ``python -m bluesky``."""

from argparse import ArgumentParser
from collections.abc import Sequence
from typing import Union

from . import __version__

__all__ = ["main"]


def main(args: Union[Sequence[str], None] = None) -> None:
    """Argument parser for the CLI."""

    parser = ArgumentParser()
    parser.add_argument(
        "-v",
        "--version",
        action="version",
        version=__version__,
    )
    parser.parse_args(args)


if __name__ == "__main__":
    main()
